## com.baidubce.services.media.model
Class GetPresetRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.GetPresetRequest

    public class GetPresetRequest

extends AbstractBceRequest

Constructor Summary
`GetPresetRequest()`

Method Summary
`String` `getPresetName()`
`void` `setPresetName(String presetName)`
`String` `toString()`
`GetPresetRequest` `withPresetName(String presetName)`
`GetPresetRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetPresetRequest

    public GetPresetRequest()

Method Detail

### getPresetName

    public String getPresetName()

### setPresetName

    public void setPresetName(String presetName)

### withPresetName

    public GetPresetRequest withPresetName(String presetName)

### withRequestCredentials

    public GetPresetRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.